Skip to main content
PATCH
/
wireless_blocklists
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const wirelessBlocklist = await client.wirelessBlocklists.update(
  '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
);

console.log(wirelessBlocklist.data);
{
  "data": {
    "id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "record_type": "wireless_blocklist",
    "created_at": "2018-02-02T22:25:27.521Z",
    "updated_at": "2018-02-02T22:25:27.521Z",
    "name": "My wireless blocklist.",
    "type": "country",
    "values": [
      "CA",
      "MX",
      "US"
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Identifies the wireless blocklist.

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Body

application/json
name
string

The name of the Wireless Blocklist.

Example:

"My Wireless Blocklist"

values
string[]

Values to block. The values here depend on the type of Wireless Blocklist.

ISO 3166-1 Alpha-2 Country Code.

Example:

"US"

Example:
["CA", "US"]

Response

Successful response

data
object